aboutsummaryrefslogtreecommitdiffstats
path: root/run_policy.sh
diff options
context:
space:
mode:
authoralex_sh <alexs@att.com>2017-08-23 17:30:56 -0400
committeralex_sh <alexs@att.com>2017-08-23 17:59:20 -0400
commit9d980ce62d1f12d1e3fba48efb50398b8b95272a (patch)
treebbd0651db6ecb86bbdbae8594f00c5d37e0b30cf /run_policy.sh
parent52b336b9a7c8b85460040bf56e4ad4d3e225ffd2 (diff)
policy-handler seed code
Change-Id: I35cd80b6e082f4b84740bab752774e8abc40ca35 Issue-Id: DCAEGEN2-46 Signed-off-by: Alex Shatov <alexs@att.com>
Diffstat (limited to 'run_policy.sh')
-rw-r--r--run_policy.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/run_policy.sh b/run_policy.sh
new file mode 100644
index 0000000..6849699
--- /dev/null
+++ b/run_policy.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# org.onap.dcae
+# ================================================================================
+# Copyright (c) 2017 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+#
+# ECOMP is a trademark and service mark of AT&T Intellectual Property.
+
+mkdir -p logs
+LOG_FILE=logs/policy_handler.log
+echo "---------------------------------------------" >> ${LOG_FILE} 2>&1
+echo "/etc/hosts" | tee -a ${LOG_FILE}
+cat /etc/hosts | tee -a ${LOG_FILE}
+python -m policyhandler/policy_handler >> ${LOG_FILE} 2>&1 &
+PID=$!
+
+echo "running policy_handler as" ${PID} "log" ${LOG_FILE} | tee -a ${LOG_FILE}
+function finish {
+ echo "killing policy_handler ${PID}" $(date +%Y_%m%d-%H:%M:%S.%N) | tee -a ${LOG_FILE}
+ kill -9 ${PID}
+ echo "killed policy_handler ${PID}" $(date +%Y_%m%d-%H:%M:%S.%N) | tee -a ${LOG_FILE}
+}
+trap finish SIGHUP SIGINT SIGTERM
+
+wait ${PID}
+echo "---------------------------------------------" >> ${LOG_FILE} 2>&1
+mv ${LOG_FILE} ${LOG_FILE}.$(date +%Y-%m-%d_%H%M%S)